/*
3D Mesh Editer via "A Simple Approach to Interactive Free-Form 
Shape Deformations" 
Copyright:(c) Shin Yoshizawa, 2002
E-mail: shin.yoshizawa@mpi-sb.mpg.de
URL: http://www.mpi-sb.mpg.de/~shin
Affiliation: Max-Planck-Institut fuer Informatik: Computer Graphics Group 
 Stuhlsatzenhausweg 85, 66123 Saarbruecken, Germany
 Phone +49 681 9325-414 Fax +49 681 9325-499 

 All right is reserved by Shin Yoshizawa.
This java program and sources are allowed for only primary user of 
research and educational purposes. Don't use secondary: copy, distribution, 
diversion, business purpose, and etc..
 */
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class DoubleVector  implements java.io.Serializable{
  double x;//java.io.Serializable
  double y;
  double z;
  double size;
  public DoubleVector()
    {
      x=0.0;y=0.0;z=0.0;size=0.0;
    }
  public DoubleVector(double dx,double dy,double dz)
    {
      x = dx;
      y = dy;
      z = dz;
      size = getSize(x,y,z);
    }
  private double getSize(double dx,double dy,double dz)
    {
      return Math.sqrt((double)((dx*dx)+(dy*dy)+(dz*dz)));
    }
}
